import Marker, { MarkerProps } from './Marker';
import Monospaced, { MonospacedProps } from './Monospaced';
import { TextProps } from './Text';
declare const Heading1: import("../../@types/types").GenericComponent<TextProps>;
declare const Heading2: import("../../@types/types").GenericComponent<TextProps>;
declare const Heading3: import("../../@types/types").GenericComponent<TextProps>;
declare const Heading4: import("../../@types/types").GenericComponent<TextProps>;
declare const Heading5: import("../../@types/types").GenericComponent<TextProps>;
declare const TextDisplay: import("../../@types/types").GenericComponent<TextProps>;
declare const TextBody: import("../../@types/types").GenericComponent<TextProps>;
declare const TextBodyCompact: import("../../@types/types").GenericComponent<TextProps>;
declare const TextSmall: import("../../@types/types").GenericComponent<TextProps>;
declare const UITextDisplay: import("../../@types/types").GenericComponent<TextProps>;
declare const UITextBody: import("../../@types/types").GenericComponent<TextProps>;
declare const UITextSmall: import("../../@types/types").GenericComponent<TextProps>;
export { Heading1, Heading2, Heading3, Heading4, Heading5, Marker, Monospaced, TextBody, TextBodyCompact, TextDisplay, TextSmall, UITextDisplay, UITextBody, UITextSmall, };
export type { MarkerProps, MonospacedProps, TextProps };
